extends Sprite3D


enum TYPE {
	SPOON,
	FAUCET,
	LAMP,
	DOORSTOP,
	AVOCADO,
}


export(TYPE) var type = TYPE.DOORSTOP


func _ready():
	if type == TYPE.DOORSTOP:
		if globalvar.doorstop_collected:
			queue_free()
		texture = load("res://textures/pickups/collectable/doorstop.png")

func _on_Collection_body_entered(body):
	if body != null:
		if body.is_in_group("player"):
			if type == TYPE.DOORSTOP:
				globalvar.doorstop_collected = true
			queue_free()
